package cn.stylefeng.workflow.instance.modular.tag.service;

import cn.stylefeng.workflow.instance.api.pojo.tag.SimpleTagVo;
import cn.stylefeng.workflow.instance.modular.tag.entity.RuntimeTag;
import cn.stylefeng.workflow.instance.modular.tag.pojo.request.RuntimeTagRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

public interface RuntimeTagService extends IService<RuntimeTag> {

    void updateUserTag(RuntimeTagRequest runtimeTagRequest);

    List<RuntimeTag> findUserTagList(RuntimeTagRequest runtimeTagRequest);

    List<RuntimeTag> queryParamTagList();

    Map<Long, List<SimpleTagVo>> findUserTagListMap(List<Long> instanceIdList);

}
